# Class BeforeTaskRenderArgs.TaskRow

java.lang.Object
org.daypilot.ui.args.gantt.BeforeTaskRenderArgs.TaskRow

Enclosing class:
  `BeforeTaskRenderArgs`

public class BeforeTaskRenderArgs.TaskRow extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AreaCollection`
  `getAreas()`
  `String`
  `getBackgroundColor()`
  `String`
  `getBubbleHtml()`
  `BeforeTaskRenderArgs.TaskRowColumnList`
  `getColumns()`
  `String`
  `getContextMenuClientName()`
  `String`
  `getCssClass()`
  `String`
  `getHtml()`
  `int`
  `getMarginBottom()`
  `int`
  `getMinHeight()`
  `String`
  `getToolTip()`
  `boolean`
  `isExpanded()`
  `boolean`
  `isMoveEnabled()`
  `void`
  `setBackgroundColor(String backgroundColor)`
  `void`
  `setBubbleHtml(String bubbleHtml)`
  `void`
  `setContextMenuClientName(String contextMenuClientName)`
  `void`
  `setCssClass(String cssClass)`
  `void`
  `setExpanded(boolean expanded)`
  `void`
  `setHtml(String html)`
  `void`
  `setMarginBottom(int marginBottom)`
  `void`
  `setMinHeight(int minHeight)`
  `void`
  `setMoveEnabled(boolean moveEnabled)`
  `void`
  `setToolTip(String toolTip)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getHtml

    public String getHtml()

  - ### setHtml

    public void setHtml(String html)

  - ### isExpanded

    public boolean isExpanded()

  - ### setExpanded

    public void setExpanded(boolean expanded)

  - ### getBackgroundColor

    public String getBackgroundColor()

  - ### setBackgroundColor

    public void setBackgroundColor(String backgroundColor)

  - ### getBubbleHtml

    public String getBubbleHtml()

  - ### setBubbleHtml

    public void setBubbleHtml(String bubbleHtml)

  - ### getCssClass

    public String getCssClass()

  - ### setCssClass

    public void setCssClass(String cssClass)

  - ### getToolTip

    public String getToolTip()

  - ### setToolTip

    public void setToolTip(String toolTip)

  - ### getContextMenuClientName

    public String getContextMenuClientName()

  - ### setContextMenuClientName

    public void setContextMenuClientName(String contextMenuClientName)

  - ### getMinHeight

    public int getMinHeight()

  - ### setMinHeight

    public void setMinHeight(int minHeight)

  - ### getMarginBottom

    public int getMarginBottom()

  - ### setMarginBottom

    public void setMarginBottom(int marginBottom)

  - ### isMoveEnabled

    public boolean isMoveEnabled()

  - ### setMoveEnabled

    public void setMoveEnabled(boolean moveEnabled)

  - ### getAreas

    public AreaCollection getAreas()

  - ### getColumns

    public BeforeTaskRenderArgs.TaskRowColumnList getColumns()